<?php


namespace Fifa\ConnectId\Sdk\Model\Transfer;


class ProofOfPaymentResponse
{
    /**
     * @var ProofOfPaymentConfirmation
     */
    public $Confirmation;

    /**
     * @var ErrorType
     */
    public $Error;

    /**
     * @return string
     */
    public function __toString()
    {
        $errorAsString = is_null($this->Error) ? "NULL" : sprintf('[%s]', $this->Error);
        $confirmationAsString = is_null($this->Confirmation) ? "NULL" : sprintf('[%s]', $this->Confirmation);
        return sprintf('Confirmation: [%s], Error: [%s]', $confirmationAsString, $errorAsString);
    }
}